[Rainmeter]
Update=100
Author=pajalnick by Razer

[Metadata]
Name=pajalnick`s clock
Config=
Description=
Instructions=
Version=1.0
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Icon]

[MeasureCPU]
Measure=CPU
UpdateDivider=10

[MeterCPU]
Meter=STRING
MeasureName=MeasureCPU
X=180
Y=115
FontColor=cc6666
FontSize=11
StringAlign=left
Prefix="CPU: "
FontFace=Stencil
StringStyle=Bold
AntiAlias=1
Postfix="%"





[MeasureUpTime]
Measure=UpTime
Format="%3!i!:%2!i!:%1!i!"

[MeterUpTime]
Meter=String
MeasureName=MeasureUpTime
X=35
Y=115
FontFace=Stencil
StringStyle=Bold
FontSize=11
FontColor=cc3333
AntiAlias=1



[Image]
Meter=Image
SolidColor=0,0,0,1
X=0
Y=0
W=275
H=115

[MeasureClockH]
Measure=Time
Format="%H"

[MeasureClockM]
Measure=Time
Format="%M"

[MeasureTimeS]
Measure=Time
Format=%S


[MeterClockH]
Meter=String
MeasureName=MeasureClockH
X=55
Y=0
FontColor=000000
FontFace=Stencil
StringStyle=Bold
FontSize=37
StringAlign=Center
AntiAlias=1

[MeterClockM]
Meter=String
MeasureName=MeasureClockM
x=125
y=0
FontColor=000000
FontFace=Stencil
StringStyle=Bold
FontSize=37
StringAlign=Center
AntiAlias=1



[MeterTimes]
MeasureName=MeasureTimeS
Meter=string
X=160
Y=5
FontColor=000000
FontFace=Stencil
StringStyle=Bold
FontSize=18
StringAlign=Left
StringStyle=Normal
AntiAlias=1

[MeasureWeekDay]
Measure=Time
meter=image
Format=%A
Substitute="Monday":"ПОНЕДЕЛЬНИК","Tuesday":"ВТОРНИК","Wednesday":"СРЕДА","Thursday":"ЧЕТВЕРГ","Friday":"ПЯТНИЦА","Saturday":"СУББОТА","Sunday":"ВОСКРЕСЕНЬЕ"

[MeasureWeekmonth]
Measure=Time
meter=image
Format=%B
Substitute="January":"ЯНВАРЯ","February":"ФЕВРАЛЯ","March":"МАРТА","April":"АПРЕЛЯ","May":"МАЯ","June":"ИЮНЯ","July":"ИЮЛЯ","August":"АВГУСТА","September":"СЕНТЯБРЯ","October":"ОКТЯБРЯ","November":"НОЯБРЯ","December":"ДЕКАБРЯ"

[MeterWeekDay]
Meter=string
MeasureName=MeasureWeekDay
x=140
y=95
FontColor=333333
FontFace=Bookman Old Style
StringStyle=Bold
StringEffect=SHADOW
FontEffectColor=20,20,20,40
StringStyle=Bold
FontSize=11
StringAlign=left
AntiAlias=1

[MeterWeekDATE]
Meter=string
MeasureName=MeasureWeekdate
x=91
y=75
FontColor=333333
FontFace=Stencil
StringStyle=Bold
StringEffect=SHADOW
FontEffectColor=20,20,20,40
FontSize=27
StringAlign=LEFT
AntiAlias=1


[MeterWeekmonth]
Meter=string
MeasureName=MeasureWeekmonth
x=140
y=80
FontColor=333333
FontFace=Bookman Old Style
StringStyle=Bold
StringEffect=SHADOW
FontEffectColor=20,20,20,40
StringStyle=Bold
FontSize=11
StringAlign=left
AntiAlias=1


[MeasureWeekdate]
Measure=Time
meter=image
format=%d
substitute="01":"01","02":"02","03":"03","04":"04","05":"05","06":"06","07":"07","08":"08","09":"09","10":"10","11":"11","12":"12","13":"13","14":"14","15":"15","16":"16","17":"17","18":"18","19":"19","20":"20","21":"21","22":"22","23":"23","24":"24","25":"25","26":"26","27":"27","28":"28","29":"29","30":"30","31":"31"

[Variables]
Location=UPXX0014;put your area code here
Metric=M

[BGBot1]
Meter=Image
SolidColor=333333
X=0
Y=55
W=275
H=2


[Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=0
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*"

[Today]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=17

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=19
Substitute=" And ":" и ","Lgt.":"Ясно ","Snow":"Снег и ","Mostly Cloudy":"Переменная облачность","Light Snow":"Небольшой снег","Light Rain":"Небольшой дождь","LightRainShower":"Дождь","Cloudy":"Облачно","Drizzle":"Морось","Light":"Ясно","And":"И","Partly":"Отчасти","Mostly Sunny":"Небольшая облачность","and":"и","with":"с","Clear":"Ясно","Fair":"Ясно","Partly Cloudy":"Небольшая облачность","Cloudy":"Облачно","Freezing Rain":"Ледяной дождь","Shower":"Ливень","Light Rain":"Небольшой дождь","Early":"Ранний","Rain":"Дождь","Thunderstorm":"Буря","Thunder":"Гром","in the Vicinity":"в окресности","Light Snow":"Небольшой снег","Snow":"Снег","Sunny":"Солнечно","Windy":"Ветренно","Haze":"Дымка","Fog":"Туман","W-ead Dust":"Пыльная буря","Set":"Закат","Light Drizzle":"Небольшая изморось","Wintry Mix":"Ветер","Light":"Ясно","Mist":"Туман","Showers Late":"Поздний дождь","Wind":"Ветер","Showers":"Дождь","Scattered":"Моросящий","T-Storm":"Гроза","AM":"Ночью","PM":"Днем","Early":"Ранний","Light Rain Early":"Ранний небольшой дождь","Isolated":"Местами"

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=20

[MeasureWeatherRealFeel]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=18

[MeasureWeatherDesc1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=9
Substitute=" And ":" and "

[MeasureWeatherDay1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=2

[MeasureWeatherTemp1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=4
Substitute="N/A":"666"

[MeasureWeatherIcon1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=8

[CheckNATemp]
Measure=Calc
Formula=[MeasureWeatherTemp1]
IfBelowValue=665
IfBelowAction=!execute [!RainmeterHideMeter MeterNightTemp1][!RainmeterHideMeter MeterNightDay1][!RainmeterHideMeter MeterNightDesc1][!RainmeterHideMeter MeterNightIcon1][!RainmeterShowMeter MeterTemp1][!RainmeterShowMeter MeterDay1][!RainmeterShowMeter MeterDesc1][!RainmeterShowMeter MeterIcon1]
IfEqualValue=666
IfEqualAction=!execute [!RainmeterHideMeter MeterTemp1][!RainmeterHideMeter MeterDay1][!RainmeterHideMeter MeterDesc1][!RainmeterHideMeter MeterIcon1][!RainmeterShowMeter MeterNightTemp1][!RainmeterShowMeter MeterNightDay1][!RainmeterShowMeter MeterNightDesc1][!RainmeterShowMeter MeterNightIcon1]
DynamicVariables=1


[MeasureWeatherNightDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=18
Substitute=" And ":" и ","Lgt.":"Ясно ","Snow":"Снег и ","Mostly Cloudy":"Переменная облачность","Light Snow":"Небольшой снег","Light Rain":"Небольшой дождь","LightRainShower":"Дождь","Cloudy":"Облачно","Drizzle":"Морось","Light":"Ясно","And":"И","Partly":"Отчасти","Mostly Sunny":"Небольшая облачность","and":"и","with":"с","Clear":"Ясно","Fair":"Ясно","Partly Cloudy":"Небольшая облачность","Cloudy":"Облачно","Freezing Rain":"Ледяной дождь","Shower":"Ливень","Light Rain":"Небольшой дождь","Early":"Ранний","Rain":"Дождь","Thunderstorm":"Буря","Thunder":"Гром","in the Vicinity":"в окресности","Light Snow":"Небольшой снег","Snow":"Снег","Sunny":"Солнечно","Windy":"Ветренно","Haze":"Дымка","Fog":"Туман","W-ead Dust":"Пыльная буря","Set":"Закат","Light Drizzle":"Небольшая изморось","Wintry Mix":"Ветер","Light":"Ясно","Mist":"Туман","Showers Late":"Поздний дождь","Wind":"Ветер","Showers":"Дождь","Scattered":"Моросящий","T-Storm":"Гроза","AM":"Ночью","PM":"Днем","Early":"Ранний","Light Rain Early":"Ранний небольшой дождь","Isolated":"Местами"

[MeasureWeatherNightTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=5

[MeasureWeatherNightIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=17

[MeterTemp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=10
Y=73
StringStyle=Bold
FontSize=29
StringAlign=left
StringEffect=Shadow
FontColor=cc6666
FontEffectColor=20,20,20,40
FontFace=Stencil
StringStyle=Bold
Antialias=1
Postfix="°C"

[MeterDesc]
MeasureName=MeasureWeatherDesc
Meter=STRING
X=270
Y=60
w=191
h=20
FontColor=999999
FontEffectColor=13.13.13
FontFace=Bookman Old Style
StringStyle=Bold
Antialias=1
FontSize=11
StringAlign=Right
StringStyle=Bold
 


[Ikon]
Meter=Image
ImageName=quit.png
X=210
Y=0
w=50
h=50
Hidden=0
LeftMouseDownAction=%systemroot%\system32\shutdown.exe -s -t 00